# This package uses heavily modified internal libraries.
# so don't check rpath
%define __arch_install_post /usr/lib/rpm/check-buildroot

Summary: HTML to PDF generation application
Name: wkhtmltopdf
Version: 0.10.0_rc2
Release: 2%{dist}
License: GPLv3
Group: System Environment/Libraries
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Url: http://code.google.com/p/wkhtmltopdf/
Source0: http://wkhtmltopdf.googlecode.com/files/wkhtmltopdf-%{version}.tar.bz2

%define wkhtmltopdf_dir /opt/wkhtmltopdf/

%if "%{_lib}" == "lib64"
%define platform linux-g++-64
%else
%define platform linux-g++
%endif

Requires(post): fileutils /etc/ld.so.conf.d
Requires(postun): fileutils /etc/ld.so.conf.d
Requires: wkhtmltopdf-qt ghostscript-fonts

BuildRequires: wkhtmltopdf-qt


%description
Simple utility to convert html to pdf using the webkit rendering engine, and QT.


%prep
%setup -q

%build

%{wkhtmltopdf_dir}/bin/qmake

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install INSTALL_ROOT=%{buildroot}/%{wkhtmltopdf_dir}

mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}/%{wkhtmltopdf_dir}/bin/* %{buildroot}/%{_bindir}/.

%clean
rm -rf %{buildroot}

%files
%{wkhtmltopdf_dir}/
%{_bindir}/wkhtmltoimage
%{_bindir}/wkhtmltopdf

%changelog
* Thu Aug 25 2011 Jeff Fearn <jfearn@redhat.com> 0.10.0_rc2-2
- Remove ExclusiveArch.

* Tue Aug 23 2011 Jeff Fearn <jfearn@redhat.com> 0.10.0_rc2-1
- New upstream.

* Wed Aug 11 2010 Jethro Carr <jethro.carr@amberdms.com> 0.9.9-1
- Upgraded to stable release 0.9.9
* Fri Mar 26 2010 Jethro Carr <jethro.carr@amberdms.com> 0.9.5-1
- Created wkhtmltopdf package for version 0.9.5

